using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums;
using APT.BaseData.Domain.Enums.PF;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.TL
{
    /// <summary>
    /// 值班人员
    /// </summary>
    [Description("值班人员")]
    public class T_TL_BACK_RECORD_USER : MesEntityBase
    {
        /// <summary>
        /// 回采计划明细
        /// </summary>
        [Description("回采记录")]
        [DataFieldForeignKey("Nav_BackRecord", "Nav_ListUser")]
        public Guid BACK_RECORD_ID { get; set; }

        /// <summary>
        /// 回采记录
        /// </summary>
        [Description("回采记录")]
        [FormFieldEdit]
        public T_TL_BACK_RECORD Nav_BackRecord { get; set; }

        /// <summary>
        /// 值班人员
        /// </summary>
        [Description("值班人员")]
        [DataFieldForeignKey("Nav_User")]
        [FormFieldEdit]
        public Guid USER_ID { get; set; }

        /// <summary>
        /// 值班人员
        /// </summary>
        [Description("值班人员")]
        public virtual T_FM_USER Nav_User { get; set; }

        /// <summary>
        /// 是否登记人
        /// </summary>
        [Description("是否登记人")]
        public bool ISMAINCHECK { get; set; }

        /// <summary>
        /// 是否确认
        /// </summary>
        [Description("是否确认")]
        public bool ISCHECK { get; set; }
    }
}